<script lang="ts">
  export let settings: GameSettings;
</script>

<div class="container panel">
  <h3>Goal</h3>
  <p>
    Be the first player to remove
    <strong>
      {#if settings.firstToNRings === 1}
        1 ring
      {:else if settings.firstToNRings === 3}
        3 rings
      {/if}
    </strong> from the board to win.
  </p>

  <h3>Placing rings</h3>
  <p>
    The player take turns placing a ring on any vacant intersection on the
    board, until all rings have been placed. The player with the white rings
    places first.
  </p>

  <h3>On your turn</h3>
  <p>
    Select one of your rings to place a pebble of your color inside it. Then you
    must move the ring. (The pebble stays put.)
  </p>
  <h4>Moving a ring</h4>
  <p>The ring must move according to the following rules:</p>
  <ul>
    <li>
      The ring must move in a straight line to another vacant intersection.
    </li>
    <li>The ring may move freely over vacant spaces.</li>
    <li>The ring may not move past other rings of any color.</li>
    <li>
      If the ring encounters a pebble in its direct path, it may jump over it
      and any adjoining pebbles and land on the first available empty space.
      However, it must stop there, and cannot move further.
    </li>
  </ul>
  <p>If a ring has no valid moves, you may not select that ring.</p>

  <h4>Flipping pebbles</h4>
  <p>
    If your rings jumps over any pebbles, those pebbles <q>flip</q>, and change
    color.
  </p>

  <h4>Removing rings</h4>
  <p>
    To earn the right to remove a ring off the board (in order to win the game)
    you must form an uninterrupted <strong>row of 5 pebbles</strong> of your color.
    Once you do, you must remove those pebbles from the board, along with one of
    your rings of your choice.
  </p>

  <h3>End of the game</h3>
  <p>
    The game ends immediately when any player has removed
    {#if settings.firstToNRings === 1}
      1 ring
    {:else if settings.firstToNRings === 3}
      3 rings
    {/if}
    from the board. That player wins the game.
  </p>
</div>

<style>
  .container {
    height: 100%;
    font-size: 85%;
    background: var(--gs6-background-paper);
    overflow-y: auto;
  }

  p {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
  }
  h3,
  h4 {
    margin-top: 1em;
    font-weight: 500;
  }

  .container > :first-child {
    margin-top: 0;
  }

  ul {
    list-style: disc;
    padding-left: 1.5em;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
  }
  li {
    margin-bottom: 0.33em;
  }
</style>
